<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/product/models/category';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'name.:locale',
            breadcrumbs: [
                {
                    label: this.__('Категории'),
                    path: 'product/category',
                },
            ],
            model: model,
            http: {
                path: 'product/category/:id',
                query: {
                    'with[0]': 'specifications',
                },
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
